package cn.newfeifan.mall.module.distri.service.ptprofit;

import cn.newfeifan.mall.module.distri.enums.IntegralEnum;

/**
 * 平台利润 Service 接口
 *
 * @author 非繁人
 */
public interface PtProfitService {
    /**
     * 更新平台利润记录
     * @param ptProfit 平台收益
     * @param serviceCharge 服务费
     * @param profit 利润
     * @param settlementPrice 未结算价
     * @param integralEnum 收益类型
     */
    void updatePtProfit(Long ptProfit, Long serviceCharge, Long profit, Long settlementPrice, IntegralEnum integralEnum,
    Long orderId, String orderNO,Long userId);

    /**
     * 结算订单
     * @param settlementPrice 结算价
     * @param integralEnum 收益类型
     * @param orderId 订单id
     * @param orderNO 订单号
     * @param userId 用户id
     */
    void subtractIntegral(Long settlementPrice, IntegralEnum integralEnum, Long orderId, String orderNO, Long userId);
}