package cn.newfeifan.mall.module.member.controller.app.user.vo;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotEmpty;

@Schema(description = "用户 APP - 修改密码 Request VO")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AppMemberUserUpdatePayPasswordReqVO {

    @Schema(description = "原密码", requiredMode = Schema.RequiredMode.REQUIRED, example = "buzhidao")
    @Length(min = 6, max = 6, message = "密码长度为 4-16 位")
    private String oldPayPassword;

    @Schema(description = "新密码", requiredMode = Schema.RequiredMode.REQUIRED, example = "buzhidao")
    @NotEmpty(message = "新密码不能为空")
    @Length(min = 6, max = 6, message = "密码长度为 4-16 位")
    private String payPassword;
}
